org.eclipse.rdf4j.query.parser

## Class ParsedGraphQuery

- java.lang.Object
- - org.eclipse.rdf4j.query.parser.ParsedOperation
  - - org.eclipse.rdf4j.query.parser.ParsedQuery
    - - org.eclipse.rdf4j.query.parser.ParsedGraphQuery

- Direct Known Subclasses:
    ParsedDescribeQuery, ParsedGraphTemplate

      public class ParsedGraphQuery
      extends ParsedQuery

  A query forumalated in the OpenRDF query algebra that produces an RDF graph (a set of statements) as its result.
  Author:
    Arjohn Kampman

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParsedGraphQuery()` Creates a new graph query.
    `ParsedGraphQuery(Map<String,String> namespaces)` Creates a new graph query.
    `ParsedGraphQuery(String sourceString, TupleExpr tupleExpr)` Creates a new graph query for the supplied tuple expression.
    `ParsedGraphQuery(String sourceString, TupleExpr tupleExpr, Map<String,String> namespaces)` Creates a new graph query.
    `ParsedGraphQuery(TupleExpr tupleExpr)` Creates a new graph query for the supplied tuple expression.
    `ParsedGraphQuery(TupleExpr tupleExpr, Map<String,String> namespaces)` Creates a new graph query.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getQueryNamespaces()`

    - ### Methods inherited from class org.eclipse.rdf4j.query.parser.ParsedQuery

      `getDataset, getTupleExpr, setDataset, setTupleExpr, toString`

    - ### Methods inherited from class org.eclipse.rdf4j.query.parser.ParsedOperation

      `getSourceString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ParsedGraphQuery

          public ParsedGraphQuery()

      Creates a new graph query. To complete this query, a tuple expression needs to be supplied to it using `ParsedQuery.setTupleExpr(TupleExpr)`.

    - #### ParsedGraphQuery

          public ParsedGraphQuery(Map<String,String> namespaces)

      Creates a new graph query. To complete this query, a tuple expression needs to be supplied to it using `ParsedQuery.setTupleExpr(TupleExpr)`.
      Parameters:
        `namespaces` - A mapping of namespace prefixes to namespace names representing the namespaces that are used in the query.

    - #### ParsedGraphQuery

          public ParsedGraphQuery(TupleExpr tupleExpr)

      Creates a new graph query for the supplied tuple expression.
      Parameters:
        `tupleExpr` - A tuple expression representing the query, formulated in Sail Query Model objects.

    - #### ParsedGraphQuery

          public ParsedGraphQuery(String sourceString,
                                  TupleExpr tupleExpr)

      Creates a new graph query for the supplied tuple expression.
      Parameters:
        `tupleExpr` - A tuple expression representing the query, formulated in Sail Query Model objects.

    - #### ParsedGraphQuery

          public ParsedGraphQuery(TupleExpr tupleExpr,
                                  Map<String,String> namespaces)

      Creates a new graph query.
      Parameters:
        `tupleExpr` - A tuple expression representing the query, formulated in Sail Query Model objects.
        `namespaces` - A mapping of namespace prefixes to namespace names representing the namespaces that are used in the query.

    - #### ParsedGraphQuery

          public ParsedGraphQuery(String sourceString,
                                  TupleExpr tupleExpr,
                                  Map<String,String> namespaces)

      Creates a new graph query.
      Parameters:
        `tupleExpr` - A tuple expression representing the query, formulated in Sail Query Model objects.
        `namespaces` - A mapping of namespace prefixes to namespace names representing the namespaces that are used in the query.

  - ### Method Detail

    - #### getQueryNamespaces

          public Map<String,String> getQueryNamespaces()

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.